package cn.com.qmth.examcloud.core.reports.base.bean;

import java.util.List;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModelProperty;

public class UpdateProjectScoreReq implements JsonSerializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 5900413305905814904L;
	@NotNull(message = "项目id不能为空")
	@ApiModelProperty(value = "项目id")
	private Long id;
	@NotNull(message = "项目满分分数不能为空")
	@ApiModelProperty(value = "项目满分分数")
	private Double totalScore;
	@NotNull(message = "项目及格分数不能为空")
	@ApiModelProperty(value = "项目及格分数")
	private Double passScore;
	@NotEmpty(message = "项目分段分数不能为空")
	@ApiModelProperty(value = "项目分段分数")
	private List<Double> partitionDetails;
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public Double getTotalScore() {
		return totalScore;
	}
	public void setTotalScore(Double totalScore) {
		this.totalScore = totalScore;
	}
	public Double getPassScore() {
		return passScore;
	}
	public void setPassScore(Double passScore) {
		this.passScore = passScore;
	}
	public List<Double> getPartitionDetails() {
		return partitionDetails;
	}
	public void setPartitionDetails(List<Double> partitionDetails) {
		this.partitionDetails = partitionDetails;
	}
	
	

}
