package cn.com.qmth.examcloud.core.reports.dao;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;

import cn.com.qmth.examcloud.core.reports.dao.entity.ExamDataEntity;

public interface ExamDataRepo extends JpaRepository<ExamDataEntity, Long>, JpaSpecificationExecutor<ExamDataEntity> {

    public ExamDataEntity findByRootOrgIdAndExamId(Long rootOrgId, Long examId);

}
