package cn.com.qmth.examcloud.core.reports.dao;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

import cn.com.qmth.examcloud.core.reports.dao.entity.UserCountEntity;

public interface UserCountRepo extends JpaRepository<UserCountEntity, Long>,
		JpaSpecificationExecutor<UserCountEntity> {
	public UserCountEntity findByRootOrgId(Long rootOrgId);
	
	@Modifying
	@Query(value = "update ec_r_user_count set online_count=0", nativeQuery = true)
	public void resetAllCount();
}
