package cn.com.qmth.examcloud.core.reports.dao.entity;

import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import cn.com.qmth.examcloud.core.reports.dao.entity.share.IdEntity;

@Entity
@Table(name = "ec_r_student_count", indexes = {
		@Index(name = "IDX_R_STUDENT_COUNT_01", columnList = "rootOrgId", unique = true) })
public class StudentCountEntity extends IdEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = 6732497600896224190L;
	@NotNull
	private Long rootOrgId;
	@NotNull
	private Integer onlineCount;

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Integer getOnlineCount() {
		return onlineCount;
	}

	public void setOnlineCount(Integer onlineCount) {
		this.onlineCount = onlineCount;
	}
}
